{% sw_extends '@Storefront/storefront/layout/footer/footer.html.twig' %}

{% block layout_footer_navigation %}
	<div class="row align-items-center logo--section py-lg-4 no-gutters">
		<div class="col-xs-12 col-md order-2 order-md-0 my-3 my-md-0">
			<img src="{{ shopware.theme['sw-logo-desktop'] |sw_encode_url }}" width="134" alt="Sanicura Logo" class="d-block d-lg-inline-block mx-auto mx-md-0">
		</div>
		<div class="col text-right justify-content-end  align-items-center d-none">
			<h2 class="mr-3 mr-lg-5">Bleiben wir im Kontakt.</h2>
			<form action="/form/newsletter" method="post" data-form-csrf-handler="true" data-form-validation="true">
				<div class="form-group mb-0">
					<input class="form-control form-control-lg" name="email" type="email" placeholder="{{ "newsletter.placeholderMail"|trans }}" required="required" value="">
				</div>
			</form>
		</div>
	</div>
	
	<div class="row align-items-center py-lg-5 no-gutters">
		<div class="col-xs-12 col-md footer--navigation">
			<ul class="nav justify-content-start align-items-center">
				{% for root in page.header.serviceMenu.elements %}
					{% set name = root.translated.name %}
					{% set externalLink = root.translated.externalLink %}
					<li class="nav-item">
						<a class="nav-link"
							href="{% if externalLink %}{{ externalLink }}{% else %}{{ seoUrl('frontend.navigation.page', { navigationId: root.id }) }}{% endif %}"
							title="{{ name }}">
							{{ name }}
						</a>
					</li>
				{% endfor %}
			</ul>
		</div>
		<div class="col payment--icons py-3 py-md-0">
			{% block layout_footer_payment_shipping_logos_digi %}
				{% block layout_footer_payment_logos %}
					<div class="d-flex align-items-stretch justify-content-between justify-content-md-end flex-wrap flex-lg-nowrap">
						{% for paymentMethod in page.salesChannelPaymentMethods %}
							{% block layout_footer_payment_logo %}
								{% if paymentMethod.media %}
									<div class="payment-logo border border-primary rounded p-2 mb-2 mb-lg-0 d-inline-flex align-items-center justify-content-center">
										{% sw_thumbnails 'footer-payment-image-thumbnails' with {
											media: paymentMethod.media,
											sizes: {
												'default': '65px'
											},
											attributes: {
												'class': 'footer-logo-image',
												'alt': (paymentMethod.media.translated.alt ?: paymentMethod.translated.name),
												'title': (paymentMethod.media.translated.title ?: paymentMethod.translated.name)
											}
										} %}
									</div>
								{% endif %}
							{% endblock %}
						{% endfor %}
					</div>
				{% endblock %}
				
				{% block layout_footer_shipping_logos %}{% endblock %}
			{% endblock %}
		</div>
	</div>
{% endblock %}

{% block layout_footer_payment_shipping_logos %}{% endblock %}


{% block layout_footer_bottom %}
	<div class="row footer-copyright no-gutters py-3 py-lg-5">
		<div class="col-xs-12 col-md">
			<ul class="nav justify-content-center justify-content-md-start align-items-center flex-column flex-md-row">
				{% for root in page.footer.navigation.tree %}
					{% set name = root.category.translated.name %}
					{% set externalLink = root.category.translated.externalLink %}
					<li class="nav-item">
						<a class="nav-link"
							href="{% if externalLink %}{{ externalLink }}{% else %}{{ seoUrl('frontend.navigation.page', { navigationId: root.category.id }) }}{% endif %}"
							title="{{ name }}">
							{{ name }}
						</a>
					</li>
				{% endfor %}
			</ul>
		</div>
		<div class="col-xs-12 col-md text-md-right copyright--logo mt-3 mt-md-0 d-flex justify-content-center justify-content-md-end align-items-center">
			<a href="https://www.digitalisman.de" target="_blank">{% sw_icon 'digitalisman' style {'pack': 'digitalisman', 'size': 'xl'} %} <span class="ml-3 d-none d-sm-inline">Konzept, Design und Umsetzung</span></a>
		</div>
	</div>
{% endblock %}